#"@(#)11   1.2   src/sam/CHARM/cli/pm/CHARM_cli_rc.pm.perl, charmcli, sam_rsa21, rsa210537b 8/17/01 21:45:43"
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2001,2005 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
package CHARM_cli_rc;

######################################################################
#                                                                    #
# Package: CHARM_cli_rc.pm                                           #
#                                                                    #
# Description:                                                       #
#   This package contains return codes used for the Cluster High Ava-#
#   ilability Recovery Manager (CHARM) CLI commands. Each return can #
#   be referenced separately, or as a whole using the 'return_codes' #
#   EXPORT_TAG.                                                      #
#                                                                    #
# Examples:                                                          #
#   use CHARM_cli_rc qw(CHARM_CLI_BAD_OPERAND CHARM_CLI_BAD_FLAG)    #
#   - exports only 2 of the return codes for use in the calling      #
#     program.                                                       #
#                                                                    #
#   use CHARM_cli_rc qw(:return_codes)                               #
#   - exports all return codes included in the EXPORT_TAG            #
#     return_codes. (the ':' is needed to access the tag)            #
#                                                                    #
#--------------------------------------------------------------------#
#                                                                    #
# Inputs:                                                            #
#                                                                    #
# Outputs:                                                           #
#                                                                    #
# External References:                                               #
#   Perl Modules:   constant, Exporter                               #
#                                                                    #
# Tab Settings:                                                      #
#   4 and tabs should be expanded to spaces before saving this file. #
#   in vi:  (:set ts=4  and   :%!expand -4)                          #
#                                                                    #
# Change Activity:                                                   #
#   010730 JKA 76074: Initial design and write.                      #
#   010820 JKA 76075: Added new Return code CHARM_CLI_RSRC_EXISTS    #
######################################################################

use Exporter ();
use constant;
@ISA = qw(Exporter);
@EXPORT_OK = qw(    CHARM_CLI_SUCCESS
                    CHARM_CLI_RMC_ERROR
                    CHARM_CLI_ERROR
                    CHARM_CLI_BAD_FLAG
                    CHARM_CLI_BAD_OPERAND
                    CHARM_CLI_USER_ERROR
                    CHARM_CLI_NO_RSRC_FOUND
                    CHARM_CLI_RSRC_EXISTS
);


#--------------------------------------------------------------------#
# EXPORT TAGS is used to refer to the return codes as a group        #
#--------------------------------------------------------------------#

%EXPORT_TAGS = (
return_codes => [qw(CHARM_CLI_SUCCESS
                    CHARM_CLI_RMC_ERROR
                    CHARM_CLI_ERROR
                    CHARM_CLI_BAD_FLAG
                    CHARM_CLI_BAD_OPERAND
                    CHARM_CLI_USER_ERROR
                    CHARM_CLI_NO_RSRC_FOUND
                    CHARM_CLI_RSRC_EXISTS
)]
); # end %EXPORT_TAGS


#--------------------------------------------------------------------#
# Return Code Definitions (constants)                                #
#--------------------------------------------------------------------#

use constant CHARM_CLI_SUCCESS         => 0;
use constant CHARM_CLI_RMC_ERROR       => 1;
use constant CHARM_CLI_ERROR           => 2;
use constant CHARM_CLI_BAD_FLAG        => 3;
use constant CHARM_CLI_BAD_OPERAND     => 4;
use constant CHARM_CLI_USER_ERROR      => 5;
use constant CHARM_CLI_NO_RSRC_FOUND   => 6;
use constant CHARM_CLI_RSRC_EXISTS     => 7;
